December 2014 Archives

The dream of "use 7;"

The dream of "use 7;".

    use 7;

Perl is now a under a curse that Perl never can't do major version up .

This is very bad in Perl future.

Perl and Perl6 is now different language, but For the naming of that, many outside people of Perl community think Perl6 is the version up of Perl.

Now, Perl and Perl6 is different language. If so, version number should be up independently. For exampe,


Perl 1, 2, 3, 4, 5, 6, 7, 8, ...
Perl6 1, 2, 3, 4, 5, 6, 7, 8, ...

The problem that Perl can't never do major v…

What prevent warnings pragma become default feature?

What prevent warnings pragma become default feature by use VERSION?

In Perl 5.12, strict pragma become default feature by use VERSION .

  use v5.12; # enable strict pragma

Now many source code examples in web is written by the following way.

  use v5.x;
  use warnings;

If warnings is enabled by use VERSION, it is useful.

Gazelle - High performance PSGI Server

Gazelle is high performance PSGI Server, which have compatible with Sterlet by Auther kazeburo.


Gazelle(CPAN)
Gazelle(Qiita)
Gazelle(slide share)

Feature is:

  • Plack Handler / PSGI Server
  • HTTP/1.0 Web Server
  • Preforking Architecture
  • Sutable for running appli…

About Yuki Kimoto

user-pic I'm Yuki Kimoto, Japanese Perl programmer.I create Perl modules and applications. GitPrep, SPVM, DBIx::Custom, Validator::Custom, Test::Mojo, Mojolicious::Plugin::AutoRoute, etc.